Package org.eclipse.mat.hprof

## Class HprofRandomAccessParser

- java.lang.Object
- - org.eclipse.mat.hprof.HprofRandomAccessParser

    public class HprofRandomAccessParser
    extends java.lang.Object

### Field Summary

Fields
`static int` `LAZY_LOADING_LIMIT`

### Constructor Summary

Constructors
`HprofRandomAccessParser​(java.io.File file, java.lang.String prefix, Version version, int identifierSize, long len, HprofPreferences.HprofStrictness strictnessPreference)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`IObject` `read​(int objectId, long position, ISnapshot dump, IIndexReader.IOne2LongIndex o2hprof)`
`long[]` `readObjectArray​(org.eclipse.mat.hprof.ArrayDescription.Offline descriptor, int offset, int length)`
`byte[]` `readPrimitiveArray​(org.eclipse.mat.hprof.ArrayDescription.Offline descriptor, int offset, int length)`
`static java.lang.Object` `readValue​(IPositionInputStream in, ISnapshot snapshot, int type, int idSize)`
`java.util.List<IClass>` `resolveClassHierarchy​(ISnapshot snapshot, IClass clazz)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LAZY_LOADING_LIMIT

    public static final int LAZY_LOADING_LIMIT

See Also:
  Constant Field Values

### Constructor Detail

#### HprofRandomAccessParser

    public HprofRandomAccessParser​(java.io.File file,
                                   java.lang.String prefix,
                                   Version version,
                                   int identifierSize,
                                   long len,
                                   HprofPreferences.HprofStrictness strictnessPreference)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### read

    public IObject read​(int objectId,
                        long position,
                        ISnapshot dump,
                        IIndexReader.IOne2LongIndex o2hprof)
                 throws java.io.IOException,
                        SnapshotException

Throws:
  `java.io.IOException`
  `SnapshotException`

#### resolveClassHierarchy

    public java.util.List<IClass> resolveClassHierarchy​(ISnapshot snapshot,
                                                        IClass clazz)
                                                 throws SnapshotException

Throws:
  `SnapshotException`

#### readObjectArray

    public long[] readObjectArray​(org.eclipse.mat.hprof.ArrayDescription.Offline descriptor,
                                  int offset,
                                  int length)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### readPrimitiveArray

    public byte[] readPrimitiveArray​(org.eclipse.mat.hprof.ArrayDescription.Offline descriptor,
                                     int offset,
                                     int length)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### readValue

    public static java.lang.Object readValue​(IPositionInputStream in,
                                             ISnapshot snapshot,
                                             int type,
                                             int idSize)
                                      throws java.io.IOException

Throws:
  `java.io.IOException`